/* GENERALES */
@import url('https://fonts.googleapis.com/css2?family=Kaisei+Decol:wght@400;700&display=swap');

@font-face {
    font-family: creatodisplay;
    src: url(../fonts/creatodisplay-regular.otf);
}

@font-face {
    font-family: creatodisplay-bold;
    src: url(/fonts/creatodisplay-bold.otf);
}



* {
    margin-block-end: 0 !important;
}

html {
    scroll-behavior: smooth;
}

body {
    background-color: #ECEEEB;
}

/* Navbar */

.navbar {
    border-bottom: 1px solid black;
    font-family: creatodisplay;
    padding: 10px;
}

.active {
    font-family: "Kaisei Decol", serif;
    font-weight: 400;
    font-style: normal;
    color: #00A2AE;
    font-size: 20px;
}

.active:hover {
    color: #00A2AE;
    transition: all .3s ease;
    font-weight: bold;
}

.pagina:hover {
    font-weight: bold;
    transition: all .1s ease;
    font-family: creatodisplay;
}

/* Presentación */

h2 {
    font-weight: bold;
    font-family: creatodisplay;
}

.presentacion {
    padding: 20px 0;
    font-family: creatodisplay;
    align-content: center;
}

.disponible {
    display: flex;
    justify-content: right;
    margin-top: 60px;
    margin-bottom: 30px;
    align-items: center;
}

.disponible h2 {
    font-size: 16px;
    border: 1px solid black;
    border-radius: 12px;
    padding: 3px 12px;
}

.disponible h2:hover {
    background-color: #7DC545;
    font-size: 18px;
    padding: 4px 15px;
    transition: all .3s ease;
}

.perfil {
    text-align: center;
    justify-content: center;
}

.perfil img {
    border: 1px solid black;
    border-radius: 30px;
    width: 80%;
}

.texto {
    padding: 15px;
    padding-bottom: 0 !important;
}

.texto h1 {
    font-family: "Kaisei Decol", serif;
    display: inline-block;
    font-style: normal;
    color: #00A2AE;
    font-weight: 700;
    font-size: 70px;
}

.texto h2 {
    color: white;
    display: inline-block;
    background-color: #00A2AE;
    border: 1px solid black;
    font-size: 16px;
    border-radius: 12px;
    padding: 6px 50px;
}

.hola h1 {
    display: flex;
    flex-direction: row-reverse;
}

.texto h2:hover {
    font-size: 18px;
    padding: 6px 70px;
    transition: all .3s ease;
}

.mensaje {
    float: right;
    padding-top: 50px;
}

.texto img {
    border: 1px solid black;
    border-radius: 12px;
    padding: 3px;
}

.descripcion {
    display: inline-block;
    border: 1px solid black;
    border-radius: 30px;
    padding: 20px;
}

.descripcion h3 {
    padding: 0 20px;
    padding-top: 20px;
    font-size: 22px;
}

.descripcion p {
    font-size: 20px;
    padding: 20px;
}

.span-01 {
    font-weight: bold;
}

.span-02 {
    font-style: italic;
}

.areas h2 {
    display: inline-block;
    border: 1px solid black;
    border-radius: 15px;
    padding: 5px 80px;
    font-size: 20px;
    margin-top: 30px;
    margin-right: 10px;
}

.areas h2:hover {
    color: white;
    background-color: black;
    transition: all .3s ease;
}

.secciones p {
    border-bottom: 1px solid black;
    padding-top: 20px;
    padding-bottom: 10px;
    font-weight: bold;
    padding-right: 20%;
}

.secciones a {
    text-decoration: none;
    color: black;
}

.secciones p:hover {
    font-weight: bold;
    font-size: 22px;
    transition: all .3s ease;
}

/* Footer */

footer {
    border-top: 1px solid black;
    padding-top: 40px;
    margin-top: 70px;
}

.span-03 {
    float: right;
    font-family: "Kaisei Decol", serif;
    padding-bottom: 40px;
}

footer a {
    text-decoration: none;
    color: black;
    padding-bottom: 80px;
}

.datos p {
    display: inline;
    padding: 0 2%;
}

.contacto p {
    padding-left: 13%;
    font-size: 30px;
    padding-top: 0;
}

.formulario p {
    font-size: 14px;
}

footer a:hover {
    font-weight: bold;
    transition: all .1s ease;
}

.row {
    margin: 0;
}


/* Media Queries */

@media (max-width: 992px) {

    .disponible {
        display: none !important;
    }

    .mensaje img {
        display: none !important;
    }

    .mensaje h2 {
        font-size: 24px;
        border-radius: 15px;
    }

    .hola-bloque {
        display: flex;
        justify-content: center;
    }

    .hola h1 {
        font-size: 80px;
    }

    .texto {
        margin-top: 15px;
        padding-bottom: 0;
    }

    h1 {
        display: inline-block;
        text-align: center;
    }

    .perfil img {
        width: 90%;
    }

    .descripcion {
        margin-top: 30px;
        margin-left: 5%;
        margin-right: 5%;
    }

    .areas h2 {
        display: block;
        margin-left: 5%;
        margin-right: 5%;
        text-align: center;
        padding: 10px 0;
        font-size: 22px;
        margin-top: 30px;
    }

    .secciones {
        margin-left: 5%;
        margin-right: 5%;
    }

    .secciones p {
        font-size: 22px;
    }

    .datos p {
        display: block;
        padding: 10px 0;
    }
}

@media (max-width: 767px) {

    .mensaje h2 {
        font-size: 16px;
        margin-bottom: 20px;
    }

}

@media (max-width: 578px) {

    .texto {
        padding: 0;
        margin: 0;
        margin-top: 30px !important;
    }

    .hola h1 {
        font-size: 60px;
    }

    .mensaje h2 {
        display: none !important;
    }
}

@media (max-width: 375px) {

    .texto {
        padding: 0 5%;
    }

    .hola h1 {
        font-size: 45px;
        padding-bottom: 20px;
    }

    .perfil img {
        padding-top: 0;
    }

    .presentacion {
        padding-top: 0;
    }

    footer {
        padding: 0;
    }
}